# The SplString class

(PECL spl_types >= 0.1.0)

## Introduction

The SplString class is used to enforce strong typing of the string type.

## Class synopsis

SplString extends SplType {
/* Constants */
const string __default = '' ;
/* Inherited methods */
SplType::__construct ([ mixed `$initial_value` [, bool `$strict` ]] )
}

## Predefined Constants

`SplString::__default`

## Examples

Example #1 SplString usage example

`<?php
$string = new SplString("Testing");
try {
$string = array();
} catch (UnexpectedValueException $uve) {
echo $uve->getMessage() . PHP_EOL;
}
var_dump($string);
echo $string; // Outputs "Testing"
?>`

The above example will output:

    Value not a string
    object(SplString)#1 (1) {
      ["__default"]=>
      string(7) "Testing"
    }
    Testing